Bug 486770 - "Glitch-free" audio skips
"Glitch-free" audio skips
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 21:00 EST by Luke
Modified: 2009-07-27 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 19:08:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke 2009-02-21 21:00:59 EST
Description of problem:
The newest version of PA drops a second or two of the song I am playing in RhythmBox when I change the Alsa master volume.  I have not noticed this skip in other audio-playing programs, but I don't remember using another program for audio lately.  I have no way to tell where in the audio stack the problem comes from, but since PA is the only component claiming a total rewrite...

Version-Release number of selected component (if applicable):
0.9.14

How reproducible:
Every time

Steps to Reproduce:
1. Play a song
2. Change the master volume for Alsa
3. Become mildly frustrated
  
Actual results:
The song changes volume, but part of it is missing!

Expected results:
I just wanted my song to be a notch louder or quieter

Additional info:
Thanks for your time and effort!
Comment 1 Lennart Poettering 2009-02-24 21:03:40 EST
Which card is this? (cat /proc/asound/pcm)

Is there anything interesting in syslog regarding this?
Comment 2 Luke 2009-03-15 22:32:03 EDT
I am sorry that it has taken so long to reply; sometimes university students can be inexplicably busy.

I am also sorry that I do not understand the ways all of the layers come together.  Does moving the Gnome volume control slider interact with something that the slider in individual apps (eg Rhythmbox) does not?

Which syslog do you want me to look into?

My soundcard is:
00-00: AD198x Analog : AD198x Analog : playback 1 : capture 1
00-01: AD198x Digital : AD198x Digital : playback 1
Comment 3 Lennart Poettering 2009-04-03 12:11:10 EDT
PA has its own mixer which tries to make use of the hw mixer if possible but extends its range and granularity. If you just run "alsamixer" you will get that mixer. If you run "alsamixer -c0" this virtual mixer is bypassed and you can control the underlying hw mixer directly. Newer g-v-c versions interface directly with the PA mixer. Newer Rb versions the same.

Is there anything interesting in syslog regarding this?
Comment 4 Lennart Poettering 2009-07-27 19:08:45 EDT
Closing due to lack of response to needinfo request.

Note You need to log in before you can comment on or make changes to this bug.